Bug 1030756 - gtkd.x86_64 Requires: libphobos-ldc.so.60()(64bit)
gtkd.x86_64 Requires: libphobos-ldc.so.60()(64bit)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gtkd (Show other bugs)
20
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-15 00:00 EST by Asif Ali Rizvan
Modified: 2014-03-27 00:51 EDT (History)
8 users (show)

See Also:
Fixed In Version: derelict-3-26.201410303git9570453.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-27 00:51:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Asif Ali Rizvan 2013-11-15 00:00:10 EST
[root@localhost rizvan]# yum install gtkd-2.0.0-29.20120815git9ae9181.fc18.x86_64
Loaded plugins: langpacks, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package gtkd.x86_64 0:2.0.0-29.20120815git9ae9181.fc18 will be installed
--> Processing Dependency: gtksourceview2 for package: gtkd-2.0.0-29.20120815git9ae9181.fc18.x86_64
--> Processing Dependency: libphobos-ldc.so.60()(64bit) for package: gtkd-2.0.0-29.20120815git9ae9181.fc18.x86_64
--> Running transaction check
---> Package gtkd.x86_64 0:2.0.0-29.20120815git9ae9181.fc18 will be installed
--> Processing Dependency: libphobos-ldc.so.60()(64bit) for package: gtkd-2.0.0-29.20120815git9ae9181.fc18.x86_64
---> Package gtksourceview2.x86_64 0:2.11.2-16.fc20 will be installed
--> Finished Dependency Resolution
Error: Package: gtkd-2.0.0-29.20120815git9ae9181.fc18.x86_64 (fedora)
           Requires: libphobos-ldc.so.60()(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
Comment 1 Panu Matilainen 2013-11-15 04:55:11 EST
If gtkd requires an unsatisfiable dependency, that's not a yum bug. On the contrary its yum doing its job.

Reassigning to gtkd in case there is an actual problem, but by the looks of things you're mixing f18 and f20 packages, and that's just not going to work.
Comment 2 Asif Ali Rizvan 2013-11-15 06:43:49 EST
Thanks for reassigning to gtkd, I'll be careful next time. 

I'm not mixing fc18 packages with fc20, the repos themselves has outdated packages.

bash-4.2$ yum list|grep gtkd
gtkd.i686                             2.0.0-29.20120815git9ae9181.fc18
gtkd.x86_64                           2.0.0-29.20120815git9ae9181.fc18
gtkd-devel.i686                       2.0.0-29.20120815git9ae9181.fc18
gtkd-devel.x86_64                     2.0.0-29.20120815git9ae9181.fc18
gtkd-geany-tags.noarch                2.0.0-29.20120815git9ae9181.fc18
gtkdatabox.i686                       0.9.2.0-2.fc20             fedora         
gtkdatabox.x86_64                     0.9.2.0-2.fc20             fedora         
gtkdatabox-devel.i686                 0.9.2.0-2.fc20             fedora         
gtkdatabox-devel.x86_64               0.9.2.0-2.fc20             fedora         
gtkdatabox-glade3.x86_64              0.9.2.0-2.fc20             fedora         
gtkdatabox-libglade2.x86_64           0.9.2.0-2.fc20             fedora
Comment 3 Christopher Meng 2013-11-15 06:54:01 EST
Yes, this is a FTBFS package since f18.

We need replies from Jonathan.
Comment 4 Panu Matilainen 2013-11-15 06:58:22 EST
The curious thing is that F19 has a newer version:
[root@localhost ~]# repoquery -q gtkd
gtkd-0:2.0.0-42.20130624gitdb5921d.fc19.i686
gtkd-0:2.0.0-42.20130624gitdb5921d.fc19.x86_64
Comment 5 Christopher Meng 2013-11-15 07:01:24 EST
(In reply to Panu Matilainen from comment #4)
> The curious thing is that F19 has a newer version:
> [root@localhost ~]# repoquery -q gtkd
> gtkd-0:2.0.0-42.20130624gitdb5921d.fc19.i686
> gtkd-0:2.0.0-42.20130624gitdb5921d.fc19.x86_64

Yeah, I took this package 2 months ago, and then had no idea of how to sorted things out clearly.

2 weeks ago Jonathan just updated ldc and many toolchains for building D related packages, let's wait for him.
Comment 6 Asif Ali Rizvan 2013-11-15 07:04:51 EST
koji shows success
http://koji.fedoraproject.org/koji/buildinfo?buildID=474346
Comment 7 Asif Ali Rizvan 2013-11-15 07:08:34 EST
this bug seems related to ldc files conflict:
---
bash-4.2$ sudo yum localinstall /home/rizvan/Downloads/gtkd-*
Loaded plugins: langpacks, refresh-packagekit
Examining /home/rizvan/Downloads/gtkd-2.0.0-45.20131026git33f6aeb.fc20.i686.rpm: gtkd-2.0.0-45.20131026git33f6aeb.fc20.i686
Marking /home/rizvan/Downloads/gtkd-2.0.0-45.20131026git33f6aeb.fc20.i686.rpm to be installed
Examining /home/rizvan/Downloads/gtkd-2.0.0-45.20131026git33f6aeb.fc20.x86_64.rpm: gtkd-2.0.0-45.20131026git33f6aeb.fc20.x86_64
Marking /home/rizvan/Downloads/gtkd-2.0.0-45.20131026git33f6aeb.fc20.x86_64.rpm to be installed
Examining /home/rizvan/Downloads/gtkd-devel-2.0.0-45.20131026git33f6aeb.fc20.i686.rpm: gtkd-devel-2.0.0-45.20131026git33f6aeb.fc20.i686
Marking /home/rizvan/Downloads/gtkd-devel-2.0.0-45.20131026git33f6aeb.fc20.i686.rpm to be installed
Examining /home/rizvan/Downloads/gtkd-devel-2.0.0-45.20131026git33f6aeb.fc20.x86_64.rpm: gtkd-devel-2.0.0-45.20131026git33f6aeb.fc20.x86_64
Marking /home/rizvan/Downloads/gtkd-devel-2.0.0-45.20131026git33f6aeb.fc20.x86_64.rpm to be installed
Examining /home/rizvan/Downloads/gtkd-geany-tags-2.0.0-45.20131026git33f6aeb.fc20.noarch.rpm: gtkd-geany-tags-2.0.0-45.20131026git33f6aeb.fc20.noarch
Marking /home/rizvan/Downloads/gtkd-geany-tags-2.0.0-45.20131026git33f6aeb.fc20.noarch.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package gtkd.i686 0:2.0.0-45.20131026git33f6aeb.fc20 will be installed
--> Processing Dependency: gtksourceview2 for package: gtkd-2.0.0-45.20131026git33f6aeb.fc20.i686
--> Processing Dependency: libphobos-ldc.so.63 for package: gtkd-2.0.0-45.20131026git33f6aeb.fc20.i686
---> Package gtkd.x86_64 0:2.0.0-45.20131026git33f6aeb.fc20 will be installed
---> Package gtkd-devel.i686 0:2.0.0-45.20131026git33f6aeb.fc20 will be installed
---> Package gtkd-devel.x86_64 0:2.0.0-45.20131026git33f6aeb.fc20 will be installed
---> Package gtkd-geany-tags.noarch 0:2.0.0-45.20131026git33f6aeb.fc20 will be installed
--> Processing Dependency: geany for package: gtkd-geany-tags-2.0.0-45.20131026git33f6aeb.fc20.noarch
--> Running transaction check
---> Package geany.x86_64 0:1.23.1-2.fc20 will be installed
--> Processing Dependency: vte for package: geany-1.23.1-2.fc20.x86_64
---> Package gtksourceview2.x86_64 0:2.11.2-16.fc20 will be installed
---> Package ldc-phobos.i686 0:2-53.20130805git967b986.fc20 will be installed
--> Processing Dependency: ldc(x86-32) = 2-53.20130805git967b986.fc20 for package: ldc-phobos-2-53.20130805git967b986.fc20.i686
--> Running transaction check
---> Package ldc.i686 0:2-53.20130805git967b986.fc20 will be installed
---> Package vte.x86_64 0:0.28.2-10.fc20 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==============================================================================================================================================================
 Package                  Arch            Version                                     Repository                                                         Size
==============================================================================================================================================================
Installing:
 gtkd                     i686            2.0.0-45.20131026git33f6aeb.fc20            /gtkd-2.0.0-45.20131026git33f6aeb.fc20.i686                        66 M
 gtkd                     x86_64          2.0.0-45.20131026git33f6aeb.fc20            /gtkd-2.0.0-45.20131026git33f6aeb.fc20.x86_64                      83 M
 gtkd-devel               i686            2.0.0-45.20131026git33f6aeb.fc20            /gtkd-devel-2.0.0-45.20131026git33f6aeb.fc20.i686                  12 M
 gtkd-devel               x86_64          2.0.0-45.20131026git33f6aeb.fc20            /gtkd-devel-2.0.0-45.20131026git33f6aeb.fc20.x86_64                12 M
 gtkd-geany-tags          noarch          2.0.0-45.20131026git33f6aeb.fc20            /gtkd-geany-tags-2.0.0-45.20131026git33f6aeb.fc20.noarch          253 k
Installing for dependencies:
 geany                    x86_64          1.23.1-2.fc20                               fedora                                                            3.4 M
 gtksourceview2           x86_64          2.11.2-16.fc20                              fedora                                                            675 k
 ldc                      i686            2-53.20130805git967b986.fc20                fedora                                                            7.4 M
 ldc-phobos               i686            2-53.20130805git967b986.fc20                fedora                                                            1.6 M
 vte                      x86_64          0.28.2-10.fc20                              fedora                                                            362 k

Transaction Summary
==============================================================================================================================================================
Install  5 Packages (+5 Dependent packages)

Total size: 186 M
Total download size: 3.7 M
Installed size: 220 M
Is this ok [y/d/N]: y
Downloading packages:
(1/2): geany-1.23.1-2.fc20.x86_64.rpm                                                                                                  | 3.4 MB  00:00:04     
(2/2): vte-0.28.2-10.fc20.x86_64.rpm                                                                                                   | 362 kB  00:00:00     
--------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                         749 kB/s | 3.7 MB     00:05     
Running transaction check
Running transaction test


Transaction check error:
  file /etc/ldc2.conf from install of ldc-2-53.20130805git967b986.fc20.i686 conflicts with file from package ldc-2-53.20130805git967b986.fc20.x86_64
  file /etc/ldc2.rebuild.conf from install of ldc-2-53.20130805git967b986.fc20.i686 conflicts with file from package ldc-2-53.20130805git967b986.fc20.x86_64

Error Summary
Comment 8 Asif Ali Rizvan 2013-11-15 07:20:17 EST
Yup, forcing install of ldc.i686 and ldc.x86_64 allows installation of gtkd*i686 and gtkd*x86_64. 

You may close the bug but this bug is dependent on ldc file conflicts resolution!

even the latest version ldc-2-56 has the files conflict (with i686 and x86_64)
http://koji.fedoraproject.org/koji/buildinfo?buildID=474356
Comment 9 Michael Schwendt 2013-12-05 06:31:09 EST
> You may close the bug

Certainly not, since there still has been no "gtkd" released for F20:

# yum install gtkd
[…]
Error: Package: gtkd-2.0.0-29.20120815git9ae9181.fc18.x86_64 (fedora)
           Requires: libphobos-ldc.so.60()(64bit)
Comment 10 Fedora Update System 2014-03-10 18:16:51 EDT
derelict-3-26.201410303git9570453.fc20, dustmite-1-17.20140107git1f0a0cd.fc20, gtkd-2.0.0-45.20140301gitaf01da8.fc20, gl3n-0.20140301-11.fc20, ldc-2-56.20140305git6e908ff.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2014-3671/derelict-3-26.201410303git9570453.fc20,dustmite-1-17.20140107git1f0a0cd.fc20,gtkd-2.0.0-45.20140301gitaf01da8.fc20,gl3n-0.20140301-11.fc20,ldc-2-56.20140305git6e908ff.fc20
Comment 11 Fedora Update System 2014-03-27 00:51:20 EDT
derelict-3-26.201410303git9570453.fc20, dustmite-1-17.20140107git1f0a0cd.fc20, gtkd-2.0.0-45.20140301gitaf01da8.fc20, gl3n-0.20140301-11.fc20, ldc-2-56.20140305git6e908ff.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.